import { REVISION } from "three";
import { assert } from "../../../core/assert.js";

/**
 *
 * @param {THREE.Scene} scene
 * @param {boolean} value
 */
export function three_setSceneAutoUpdate(scene, value) {
    assert.isBoolean(value, 'value');

    if (REVISION < 144) {
        scene.autoUpdate = value;
    } else {
        // was renamed after r144
        scene.matrixWorldAutoUpdate = value;
    }
}